JBoss API: Class ConnectorFactoryService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class ConnectorFactoryService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jmx.client.ConnectorFactoryService

All Implemented Interfaces:
  ConnectorFactoryServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class ConnectorFactoryService
extends ServiceMBeanSupport
implements ConnectorFactoryServiceMBean

Factory delivering a list of servers and its available protocol connectors and after selected to initiate the connection This is just the (incomplete) interface of it

Author:
  Andreas "Mad" Schaefer

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jmx.client.ConnectorFactoryServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ConnectorFactoryService()`

Method Summary
`JMXConnector` | `createConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Initiate a connection to the given server with the given protocol
`java.util.Iterator` | `getConnectors(java.util.Hashtable pProperties, ConnectorFactoryImpl.IConnectorTester pTester)` Look up for all registered JMX Connector at a given JNDI server
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer pServer, javax.management.ObjectName pName)`
`protected void` | `initService()`
`void` | `removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Removes the given connection and frees the resources
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### ConnectorFactoryService

    public ConnectorFactoryService()

Method Detail

### getConnectors

    public java.util.Iterator getConnectors(java.util.Hashtable pProperties,
                                            ConnectorFactoryImpl.IConnectorTester pTester)

  Description copied from interface: `ConnectorFactoryServiceMBean`
  Look up for all registered JMX Connector at a given JNDI server
  Specified by:
    `getConnectors` in interface `ConnectorFactoryServiceMBean`
  Following copied from interface: `org.jboss.jmx.client.ConnectorFactoryServiceMBean`
  Parameters:
    `pProperties` - List of properties defining the JNDI server
    `pTester` - Connector Tester implementation to be used
  Returns:
    An iterator on the list of ConnectorNames representing the found JMX Connectors

### createConnection

    public JMXConnector createConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Description copied from interface: `ConnectorFactoryServiceMBean`
  Initiate a connection to the given server with the given protocol
  Specified by:
    `createConnection` in interface `ConnectorFactoryServiceMBean`
  Following copied from interface: `org.jboss.jmx.client.ConnectorFactoryServiceMBean`
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector
  Returns:
    JMX Connector or null if server or protocol is not supported

### removeConnection

    public void removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Description copied from interface: `ConnectorFactoryServiceMBean`
  Removes the given connection and frees the resources
  Specified by:
    `removeConnection` in interface `ConnectorFactoryServiceMBean`
  Following copied from interface: `org.jboss.jmx.client.ConnectorFactoryServiceMBean`
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer pServer,
                                                     javax.management.ObjectName pName)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### initService

    protected void initService()
                        throws java.lang.Exception

  Overrides:
    `initService` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.